Loading...
Searching...
No Matches
casacore::PGPlotter Class Reference
casa package (libcasa_casa) » System_module

More...

`#include <PGPlotter.h>`

## Public Types

typedef PGPlotter | CreateFunction(const String &device, uInt mincolors, uInt maxcolors, uInt sizex, uInt sizey)
| Define the signature of a function creating a PGPlotter object.

## Public Member Functions

| PGPlotter ()
| The default constructor does not attach to any plotter, that is isAttached() returns False.
| PGPlotter (const String &device, uInt mincolors=2, uInt maxcolors=100, uInt sizex=600, uInt sizey=450)
| Create PGPlotter object using the curreent create function.
| PGPlotter (PGPlotterInterface *)
| Create from the given PGPlotterInterface instantiation.
| PGPlotter (const PGPlotter &other)
| Copies use reference semantics, i.e.
PGPlotter & | operator= (const PGPlotter &other)
virtual | ~PGPlotter ()
| If this is the last reference, close the plot.
virtual Bool | isAttached () const
| True if it is OK to plot to this object.
void | detach ()
| Detach from the object.
virtual void | message (const String &text)
| This is not a standard PGPLOT command.
virtual Record | curs (Float x, Float y)
| This is an emulated standard PGPLOT command.
virtual void | arro (Float x1, Float y1, Float x2, Float y2)
| Standard PGPLOT commands.
virtual void | ask (Bool flag)
virtual void | bbuf ()
virtual void | bin (const Vector< Float > &x, const Vector< Float > &data, Bool center)
virtual void | box (const String &xopt, Float xtick, Int nxsub, const String &yopt, Float ytick, Int nysub)
virtual void | circ (Float xcent, Float ycent, Float radius)
virtual void | conb (const Matrix< Float > &a, const Vector< Float > &c, const Vector< Float > &tr, Float blank)
virtual void | conl (const Matrix< Float > &a, Float c, const Vector< Float > &tr, const String &label, Int intval, Int minint)
virtual void | cons (const Matrix< Float > &a, const Vector< Float > &c, const Vector< Float > &tr)
virtual void | cont (const Matrix< Float > &a, const Vector< Float > &c, Bool nc, const Vector< Float > &tr)
virtual void | ctab (const Vector< Float > &l, const Vector< Float > &r, const Vector< Float > &g, const Vector< Float > &b, Float contra, Float bright)
virtual void | draw (Float x, Float y)
virtual void | ebuf ()
virtual void | env (Float xmin, Float xmax, Float ymin, Float ymax, Int just, Int axis)
virtual void | eras ()
virtual void | errb (Int dir, const Vector< Float > &x, const Vector< Float > &y, const Vector< Float > &e, Float t)
virtual void | errx (const Vector< Float > &x1, const Vector< Float > &x2, const Vector< Float > &y, Float t)
virtual void | erry (const Vector< Float > &x, const Vector< Float > &y1, const Vector< Float > &y2, Float t)
virtual void | gray (const Matrix< Float > &a, Float fg, Float bg, const Vector< Float > &tr)
virtual void | hi2d (const Matrix< Float > &data, const Vector< Float > &x, Int ioff, Float bias, Bool center, const Vector< Float > &ylims)
virtual void | hist (const Vector< Float > &data, Float datmin, Float datmax, Int nbin, Int pcflag)
virtual void | iden ()
virtual void | imag (const Matrix< Float > &a, Float a1, Float a2, const Vector< Float > &tr)
virtual void | lab (const String &xlbl, const String &ylbl, const String &toplbl)
virtual void | ldev ()
virtual Vector< Float > | len (Int units, const String &string)
virtual void | line (const Vector< Float > &xpts, const Vector< Float > &ypts)
virtual void | move (Float x, Float y)
virtual void | mtxt (const String &side, Float disp, Float coord, Float fjust, const String &text)
virtual String | numb (Int mm, Int pp, Int form)
virtual void | page ()
virtual void | panl (Int ix, Int iy)
virtual void | pap (Float width, Float aspect)
virtual void | pixl (const Matrix< Int > &ia, Float x1, Float x2, Float y1, Float y2)
virtual void | pnts (const Vector< Float > &x, const Vector< Float > &y, const Vector< Int > symbol)
virtual void | poly (const Vector< Float > &xpts, const Vector< Float > &ypts)
virtual void | pt (const Vector< Float > &xpts, const Vector< Float > &ypts, Int symbol)
virtual void | ptxt (Float x, Float y, Float angle, Float fjust, const String &text)
virtual Vector< Float > | qah ()
virtual Int | qcf ()
virtual Float | qch ()
virtual Int | qci ()
virtual Vector< Int > | qcir ()
virtual Vector< Int > | qcol ()
virtual Vector< Float > | qcr (Int ci)
virtual Vector< Float > | qcs (Int units)
virtual Int | qfs ()
virtual Vector< Float > | qhs ()
virtual Int | qid ()
virtual String | qinf (const String &item)
virtual Int | qitf ()
virtual Int | qls ()
virtual Int | qlw ()
virtual Vector< Float > | qpos ()
virtual Int | qtbg ()
virtual Vector< Float > | qtxt (Float x, Float y, Float angle, Float fjust, const String &text)
virtual Vector< Float > | qvp (Int units)
virtual Vector< Float > | qvsz (Int units)
virtual Vector< Float > | qwin ()
virtual void | rect (Float x1, Float x2, Float y1, Float y2)
virtual Float | rnd (Float x, Int nsub)
virtual Vector< Float > | rnge (Float x1, Float x2)
virtual void | sah (Int fs, Float angle, Float vent)
virtual void | save ()
virtual void | scf (Int font)
virtual void | sch (Float size)
virtual void | sci (Int ci)
virtual void | scir (Int icilo, Int icihi)
virtual void | scr (Int ci, Float cr, Float cg, Float cb)
virtual void | scrn (Int ci, const String &name)
virtual void | sfs (Int fs)
virtual void | shls (Int ci, Float ch, Float cl, Float cs)
virtual void | shs (Float angle, Float sepn, Float phase)
virtual void | sitf (Int itf)
virtual void | sls (Int ls)
virtual void | slw (Int lw)
virtual void | stbg (Int tbci)
virtual void | subp (Int nxsub, Int nysub)
virtual void | svp (Float xleft, Float xright, Float ybot, Float ytop)
virtual void | swin (Float x1, Float x2, Float y1, Float y2)
virtual void | tbox (const String &xopt, Float xtick, Int nxsub, const String &yopt, Float ytick, Int nysub)
virtual void | text (Float x, Float y, const String &text)
virtual void | unsa ()
virtual void | updt ()
virtual void | vect (const Matrix< Float > &a, const Matrix< Float > &b, Float c, Int nc, const Vector< Float > &tr, Float blank)
virtual void | vsiz (Float xleft, Float xright, Float ybot, Float ytop)
virtual void | vstd ()
virtual void | wedg (const String &side, Float disp, Float width, Float fg, Float bg, const String &label)
virtual void | wnad (Float x1, Float x2, Float y1, Float y2)
Public Member Functions inherited from casacore::PGPlotterInterface
virtual | ~PGPlotterInterface ()
virtual void | resetPlotNumber ()
| This is not a standard PGPLOT command.

## Static Public Member Functions

static PGPlotter | create (const String &device, uInt mincolors=2, uInt maxcolors=100, uInt sizex=600, uInt sizey=450)
| Create a PGPlotter object using the current create function.
static CreateFunction * | setCreateFunction (CreateFunction *, Bool override=True)
| Set the create function.

## Private Member Functions

void | ok () const
| Throws an exception if !isAttached().

## Private Attributes

std::shared_ptr< PGPlotterInterface > | worker_p

## Static Private Attributes

static CreateFunction * | creator_p

## Detailed Description

Standard plotting object for application programmers.

### Intended use:

Public interface

### Review Status

Date Reviewed:
  yyyy/mm/dd

### Prerequisite

- PGPlotterInterface

### Synopsis

This is the class that a programmer should instantiate if he wants to open a "device" to plot to. The device might be local, or it might be remote (i.e., running under Glish). The philosophy of the plotting interface is described in the PGPlotterInterface documentation.

It is possible that the object might not be attached to a valid plot device (for example, the user might have said "no plotting." Programerss should check the isAttached() member before plotting. If you attempt to plot to an unattached plotter, an exception is thrown.

Copying a PGPlotter uses reference semantics – after copying plotting on the old and new objects will result in the plot commands appearing on the same device. The device is closed only when the last reference is destructed.

You can detach a plotter from a device with the detach() call. If there are no other references to the plotter, this will close the device. (What it actually does is call the destructor on the object. For a local PGPPLOT device this will close it).

### Example

// plot y = x*x
Vector<Float> x(100), y(100);
indgen(x);
y = x*x;
PGPlotter plotter("myplot.ps/ps");
plotter.env(0, 100, 0, 100*100, 0, 0);
plotter.line(x, y);
casacore::PGPlotter::PGPlotter
PGPlotter()
The default constructor does not attach to any plotter, that is isAttached() returns False.
casacore::Vector
Definition Vector.h:82
casacore::indgen
void indgen(TableVector< T > &tv, T start, T inc)
Definition TabVecMath.h:398

### To Do

- Add more plot calls.

Definition at line 92 of file PGPlotter.h.

## Member Typedef Documentation

## CreateFunction

typedef PGPlotter casacore::PGPlotter::CreateFunction(const String &device, uInt mincolors, uInt maxcolors, uInt sizex, uInt sizey)

Define the signature of a function creating a PGPlotter object.

Definition at line 96 of file PGPlotter.h.

## Constructor & Destructor Documentation

## PGPlotter() [1/4]

casacore::PGPlotter::PGPlotter | ( |  | ) |

The default constructor does not attach to any plotter, that is isAttached() returns False.

An exception is thrown if you attempt to plot to an unattached PGPlotter.

Referenced by create(), operator=(), and PGPlotter().

## PGPlotter() [2/4]

casacore::PGPlotter::PGPlotter | ( | const String & | device,
|  | uInt | mincolors = 2,
|  | uInt | maxcolors = 100,
|  | uInt | sizex = 600,
|  | uInt | sizey = 450 )

Create PGPlotter object using the curreent create function.

## PGPlotter() [3/4]

casacore::PGPlotter::PGPlotter | ( | PGPlotterInterface * |  | ) |

Create from the given PGPlotterInterface instantiation.

It takes over the pointer.

## PGPlotter() [4/4]

casacore::PGPlotter::PGPlotter | ( | const PGPlotter & | other | ) |

Copies use reference semantics, i.e.

after copying the new and old copy both draw onto the same surface.

References PGPlotter().

## ~PGPlotter()

virtual casacore::PGPlotter::~PGPlotter | ( |  | ) |

virtual

If this is the last reference, close the plot.

## Member Function Documentation

## arro()

virtual void casacore::PGPlotter::arro | ( | Float | x1,
|  | Float | y1,
|  | Float | x2,
|  | Float | y2 )

virtual

Standard PGPLOT commands.

Documentation for the individual commands can be found in the Glish manual and in the standard PGPLOT documentation which may be found at http://astro.caltech.edu/~tjp/pgplot/. The Glish/PGPLOT documentation is preferred since this interface follows it exactly (e.g. the array sizes are inferred both here and in Glish, whereas they must be passed into standard PGPLOT).

### Thrown Exceptions

- An AipsError will be thrown if the plotter is unattached.

Implements casacore::PGPlotterInterface.

## ask()

virtual void casacore::PGPlotter::ask | ( | Bool | flag | ) |

virtual

Implements casacore::PGPlotterInterface.

## bbuf()

virtual void casacore::PGPlotter::bbuf | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## bin()

virtual void casacore::PGPlotter::bin | ( | const Vector< Float > & | x,
|  | const Vector< Float > & | data,
|  | Bool | center )

virtual

Implements casacore::PGPlotterInterface.

## box()

virtual void casacore::PGPlotter::box | ( | const String & | xopt,
|  | Float | xtick,
|  | Int | nxsub,
|  | const String & | yopt,
|  | Float | ytick,
|  | Int | nysub )

virtual

Implements casacore::PGPlotterInterface.

## circ()

virtual void casacore::PGPlotter::circ | ( | Float | xcent,
|  | Float | ycent,
|  | Float | radius )

virtual

Implements casacore::PGPlotterInterface.

## conb()

virtual void casacore::PGPlotter::conb | ( | const Matrix< Float > & | a,
|  | const Vector< Float > & | c,
|  | const Vector< Float > & | tr,
|  | Float | blank )

virtual

Implements casacore::PGPlotterInterface.

References casacore::blank().

## conl()

virtual void casacore::PGPlotter::conl | ( | const Matrix< Float > & | a,
|  | Float | c,
|  | const Vector< Float > & | tr,
|  | const String & | label,
|  | Int | intval,
|  | Int | minint )

virtual

Implements casacore::PGPlotterInterface.

## cons()

virtual void casacore::PGPlotter::cons | ( | const Matrix< Float > & | a,
|  | const Vector< Float > & | c,
|  | const Vector< Float > & | tr )

virtual

Implements casacore::PGPlotterInterface.

## cont()

virtual void casacore::PGPlotter::cont | ( | const Matrix< Float > & | a,
|  | const Vector< Float > & | c,
|  | Bool | nc,
|  | const Vector< Float > & | tr )

virtual

Implements casacore::PGPlotterInterface.

## create()

PGPlotter casacore::PGPlotter::create | ( | const String & | device,
|  | uInt | mincolors = 2,
|  | uInt | maxcolors = 100,
|  | uInt | sizex = 600,
|  | uInt | sizey = 450 )

static

Create a PGPlotter object using the current create function.

References PGPlotter().

## ctab()

virtual void casacore::PGPlotter::ctab | ( | const Vector< Float > & | l,
|  | const Vector< Float > & | r,
|  | const Vector< Float > & | g,
|  | const Vector< Float > & | b,
|  | Float | contra,
|  | Float | bright )

virtual

Implements casacore::PGPlotterInterface.

## curs()

virtual Record casacore::PGPlotter::curs | ( | Float | x,
|  | Float | y )

virtual

This is an emulated standard PGPLOT command.

It returns a record containing the fields:

[ok=Bool, x=Float, y=Float, ch=String];
If the remote device cannot do cursor feedback, ok==F.
casacore::PGPlotter::ok
void ok() const
Throws an exception if !isAttached().
casacore::String
String: the storage and methods of handling collections of characters.
Definition String.h:223
casacore::Float
float Float
Definition aipstype.h:52
casacore::Bool
bool Bool
Define the standard types used by Casacore.
Definition aipstype.h:40

Implements casacore::PGPlotterInterface.

References casacore::Record().

## detach()

void casacore::PGPlotter::detach | ( |  | ) |

Detach from the object.

If this is the last reference to the object, call its destructor (this will call pgclos on a local device).

## draw()

virtual void casacore::PGPlotter::draw | ( | Float | x,
|  | Float | y )

virtual

Implements casacore::PGPlotterInterface.

## ebuf()

virtual void casacore::PGPlotter::ebuf | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## env()

virtual void casacore::PGPlotter::env | ( | Float | xmin,
|  | Float | xmax,
|  | Float | ymin,
|  | Float | ymax,
|  | Int | just,
|  | Int | axis )

virtual

Implements casacore::PGPlotterInterface.

## eras()

virtual void casacore::PGPlotter::eras | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## errb()

virtual void casacore::PGPlotter::errb | ( | Int | dir,
|  | const Vector< Float > & | x,
|  | const Vector< Float > & | y,
|  | const Vector< Float > & | e,
|  | Float | t )

virtual

Implements casacore::PGPlotterInterface.

## errx()

virtual void casacore::PGPlotter::errx | ( | const Vector< Float > & | x1,
|  | const Vector< Float > & | x2,
|  | const Vector< Float > & | y,
|  | Float | t )

virtual

Implements casacore::PGPlotterInterface.

## erry()

virtual void casacore::PGPlotter::erry | ( | const Vector< Float > & | x,
|  | const Vector< Float > & | y1,
|  | const Vector< Float > & | y2,
|  | Float | t )

virtual

Implements casacore::PGPlotterInterface.

## gray()

virtual void casacore::PGPlotter::gray | ( | const Matrix< Float > & | a,
|  | Float | fg,
|  | Float | bg,
|  | const Vector< Float > & | tr )

virtual

Implements casacore::PGPlotterInterface.

## hi2d()

virtual void casacore::PGPlotter::hi2d | ( | const Matrix< Float > & | data,
|  | const Vector< Float > & | x,
|  | Int | ioff,
|  | Float | bias,
|  | Bool | center,
|  | const Vector< Float > & | ylims )

virtual

Implements casacore::PGPlotterInterface.

## hist()

virtual void casacore::PGPlotter::hist | ( | const Vector< Float > & | data,
|  | Float | datmin,
|  | Float | datmax,
|  | Int | nbin,
|  | Int | pcflag )

virtual

Implements casacore::PGPlotterInterface.

## iden()

virtual void casacore::PGPlotter::iden | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## imag()

virtual void casacore::PGPlotter::imag | ( | const Matrix< Float > & | a,
|  | Float | a1,
|  | Float | a2,
|  | const Vector< Float > & | tr )

virtual

Implements casacore::PGPlotterInterface.

## isAttached()

virtual Bool casacore::PGPlotter::isAttached | ( |  | ) | const

virtual

True if it is OK to plot to this object.

Reimplemented from casacore::PGPlotterInterface.

## lab()

virtual void casacore::PGPlotter::lab | ( | const String & | xlbl,
|  | const String & | ylbl,
|  | const String & | toplbl )

virtual

Implements casacore::PGPlotterInterface.

## ldev()

virtual void casacore::PGPlotter::ldev | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## len()

virtual Vector< Float > casacore::PGPlotter::len | ( | Int | units,
|  | const String & | string )

virtual

Implements casacore::PGPlotterInterface.

## line()

virtual void casacore::PGPlotter::line | ( | const Vector< Float > & | xpts,
|  | const Vector< Float > & | ypts )

virtual

Implements casacore::PGPlotterInterface.

## message()

virtual void casacore::PGPlotter::message | ( | const String & | text | ) |

virtual

This is not a standard PGPLOT command.

In the Glish/PGPLOT window, it puts a message in the message line. By default it sends it to the logger. In any event, this is intended for short helpful messages (e.g. saying which keys to press to mark a spectrum).

Reimplemented from casacore::PGPlotterInterface.

References text().

## move()

virtual void casacore::PGPlotter::move | ( | Float | x,
|  | Float | y )

virtual

Implements casacore::PGPlotterInterface.

## mtxt()

virtual void casacore::PGPlotter::mtxt | ( | const String & | side,
|  | Float | disp,
|  | Float | coord,
|  | Float | fjust,
|  | const String & | text )

virtual

Implements casacore::PGPlotterInterface.

References text().

## numb()

virtual String casacore::PGPlotter::numb | ( | Int | mm,
|  | Int | pp,
|  | Int | form )

virtual

Implements casacore::PGPlotterInterface.

## ok()

void casacore::PGPlotter::ok | ( |  | ) | const

private

Throws an exception if !isAttached().

## operator=()

PGPlotter & casacore::PGPlotter::operator= | ( | const PGPlotter & | other | ) |

References PGPlotter().

## page()

virtual void casacore::PGPlotter::page | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## panl()

virtual void casacore::PGPlotter::panl | ( | Int | ix,
|  | Int | iy )

virtual

Implements casacore::PGPlotterInterface.

## pap()

virtual void casacore::PGPlotter::pap | ( | Float | width,
|  | Float | aspect )

virtual

Implements casacore::PGPlotterInterface.

## pixl()

virtual void casacore::PGPlotter::pixl | ( | const Matrix< Int > & | ia,
|  | Float | x1,
|  | Float | x2,
|  | Float | y1,
|  | Float | y2 )

virtual

Implements casacore::PGPlotterInterface.

## pnts()

virtual void casacore::PGPlotter::pnts | ( | const Vector< Float > & | x,
|  | const Vector< Float > & | y,
|  | const Vector< Int > | symbol )

virtual

Implements casacore::PGPlotterInterface.

## poly()

virtual void casacore::PGPlotter::poly | ( | const Vector< Float > & | xpts,
|  | const Vector< Float > & | ypts )

virtual

Implements casacore::PGPlotterInterface.

## pt()

virtual void casacore::PGPlotter::pt | ( | const Vector< Float > & | xpts,
|  | const Vector< Float > & | ypts,
|  | Int | symbol )

virtual

Implements casacore::PGPlotterInterface.

## ptxt()

virtual void casacore::PGPlotter::ptxt | ( | Float | x,
|  | Float | y,
|  | Float | angle,
|  | Float | fjust,
|  | const String & | text )

virtual

Implements casacore::PGPlotterInterface.

References text().

## qah()

virtual Vector< Float > casacore::PGPlotter::qah | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qcf()

virtual Int casacore::PGPlotter::qcf | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qch()

virtual Float casacore::PGPlotter::qch | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qci()

virtual Int casacore::PGPlotter::qci | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qcir()

virtual Vector< Int > casacore::PGPlotter::qcir | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qcol()

virtual Vector< Int > casacore::PGPlotter::qcol | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qcr()

virtual Vector< Float > casacore::PGPlotter::qcr | ( | Int | ci | ) |

virtual

Implements casacore::PGPlotterInterface.

## qcs()

virtual Vector< Float > casacore::PGPlotter::qcs | ( | Int | units | ) |

virtual

Implements casacore::PGPlotterInterface.

## qfs()

virtual Int casacore::PGPlotter::qfs | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qhs()

virtual Vector< Float > casacore::PGPlotter::qhs | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qid()

virtual Int casacore::PGPlotter::qid | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qinf()

virtual String casacore::PGPlotter::qinf | ( | const String & | item | ) |

virtual

Implements casacore::PGPlotterInterface.

## qitf()

virtual Int casacore::PGPlotter::qitf | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qls()

virtual Int casacore::PGPlotter::qls | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qlw()

virtual Int casacore::PGPlotter::qlw | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qpos()

virtual Vector< Float > casacore::PGPlotter::qpos | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qtbg()

virtual Int casacore::PGPlotter::qtbg | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## qtxt()

virtual Vector< Float > casacore::PGPlotter::qtxt | ( | Float | x,
|  | Float | y,
|  | Float | angle,
|  | Float | fjust,
|  | const String & | text )

virtual

Implements casacore::PGPlotterInterface.

References text().

## qvp()

virtual Vector< Float > casacore::PGPlotter::qvp | ( | Int | units | ) |

virtual

Implements casacore::PGPlotterInterface.

## qvsz()

virtual Vector< Float > casacore::PGPlotter::qvsz | ( | Int | units | ) |

virtual

Implements casacore::PGPlotterInterface.

## qwin()

virtual Vector< Float > casacore::PGPlotter::qwin | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## rect()

virtual void casacore::PGPlotter::rect | ( | Float | x1,
|  | Float | x2,
|  | Float | y1,
|  | Float | y2 )

virtual

Implements casacore::PGPlotterInterface.

## rnd()

virtual Float casacore::PGPlotter::rnd | ( | Float | x,
|  | Int | nsub )

virtual

Implements casacore::PGPlotterInterface.

## rnge()

virtual Vector< Float > casacore::PGPlotter::rnge | ( | Float | x1,
|  | Float | x2 )

virtual

Implements casacore::PGPlotterInterface.

## sah()

virtual void casacore::PGPlotter::sah | ( | Int | fs,
|  | Float | angle,
|  | Float | vent )

virtual

Implements casacore::PGPlotterInterface.

## save()

virtual void casacore::PGPlotter::save | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## scf()

virtual void casacore::PGPlotter::scf | ( | Int | font | ) |

virtual

Implements casacore::PGPlotterInterface.

## sch()

virtual void casacore::PGPlotter::sch | ( | Float | size | ) |

virtual

Implements casacore::PGPlotterInterface.

References casacore::size().

## sci()

virtual void casacore::PGPlotter::sci | ( | Int | ci | ) |

virtual

Implements casacore::PGPlotterInterface.

## scir()

virtual void casacore::PGPlotter::scir | ( | Int | icilo,
|  | Int | icihi )

virtual

Implements casacore::PGPlotterInterface.

## scr()

virtual void casacore::PGPlotter::scr | ( | Int | ci,
|  | Float | cr,
|  | Float | cg,
|  | Float | cb )

virtual

Implements casacore::PGPlotterInterface.

## scrn()

virtual void casacore::PGPlotter::scrn | ( | Int | ci,
|  | const String & | name )

virtual

Implements casacore::PGPlotterInterface.

References casacore::name().

## setCreateFunction()

CreateFunction * casacore::PGPlotter::setCreateFunction | ( | CreateFunction * | ,
|  | Bool | override = True )

static

Set the create function.

It returns the current create function. It is, for example, used by ObjectController to attach to glish. The initial create function creates a detached PGPlotter object. If override==False, the function is only set if it was not already set.

References casacore::True.

## sfs()

virtual void casacore::PGPlotter::sfs | ( | Int | fs | ) |

virtual

Implements casacore::PGPlotterInterface.

## shls()

virtual void casacore::PGPlotter::shls | ( | Int | ci,
|  | Float | ch,
|  | Float | cl,
|  | Float | cs )

virtual

Implements casacore::PGPlotterInterface.

## shs()

virtual void casacore::PGPlotter::shs | ( | Float | angle,
|  | Float | sepn,
|  | Float | phase )

virtual

Implements casacore::PGPlotterInterface.

References casacore::phase().

## sitf()

virtual void casacore::PGPlotter::sitf | ( | Int | itf | ) |

virtual

Implements casacore::PGPlotterInterface.

## sls()

virtual void casacore::PGPlotter::sls | ( | Int | ls | ) |

virtual

Implements casacore::PGPlotterInterface.

## slw()

virtual void casacore::PGPlotter::slw | ( | Int | lw | ) |

virtual

Implements casacore::PGPlotterInterface.

## stbg()

virtual void casacore::PGPlotter::stbg | ( | Int | tbci | ) |

virtual

Implements casacore::PGPlotterInterface.

## subp()

virtual void casacore::PGPlotter::subp | ( | Int | nxsub,
|  | Int | nysub )

virtual

Implements casacore::PGPlotterInterface.

## svp()

virtual void casacore::PGPlotter::svp | ( | Float | xleft,
|  | Float | xright,
|  | Float | ybot,
|  | Float | ytop )

virtual

Implements casacore::PGPlotterInterface.

## swin()

virtual void casacore::PGPlotter::swin | ( | Float | x1,
|  | Float | x2,
|  | Float | y1,
|  | Float | y2 )

virtual

Implements casacore::PGPlotterInterface.

## tbox()

virtual void casacore::PGPlotter::tbox | ( | const String & | xopt,
|  | Float | xtick,
|  | Int | nxsub,
|  | const String & | yopt,
|  | Float | ytick,
|  | Int | nysub )

virtual

Implements casacore::PGPlotterInterface.

## text()

virtual void casacore::PGPlotter::text | ( | Float | x,
|  | Float | y,
|  | const String & | text )

virtual

Implements casacore::PGPlotterInterface.

References text().

Referenced by message(), mtxt(), ptxt(), qtxt(), and text().

## unsa()

virtual void casacore::PGPlotter::unsa | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## updt()

virtual void casacore::PGPlotter::updt | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## vect()

virtual void casacore::PGPlotter::vect | ( | const Matrix< Float > & | a,
|  | const Matrix< Float > & | b,
|  | Float | c,
|  | Int | nc,
|  | const Vector< Float > & | tr,
|  | Float | blank )

virtual

Implements casacore::PGPlotterInterface.

References casacore::blank().

## vsiz()

virtual void casacore::PGPlotter::vsiz | ( | Float | xleft,
|  | Float | xright,
|  | Float | ybot,
|  | Float | ytop )

virtual

Implements casacore::PGPlotterInterface.

## vstd()

virtual void casacore::PGPlotter::vstd | ( |  | ) |

virtual

Implements casacore::PGPlotterInterface.

## wedg()

virtual void casacore::PGPlotter::wedg | ( | const String & | side,
|  | Float | disp,
|  | Float | width,
|  | Float | fg,
|  | Float | bg,
|  | const String & | label )

virtual

Implements casacore::PGPlotterInterface.

## wnad()

virtual void casacore::PGPlotter::wnad | ( | Float | x1,
|  | Float | x2,
|  | Float | y1,
|  | Float | y2 )

virtual

Implements casacore::PGPlotterInterface.

## Member Data Documentation

## creator_p

CreateFunction* casacore::PGPlotter::creator_p

static private

Definition at line 291 of file PGPlotter.h.

## worker_p

std::shared_ptr<PGPlotterInterface> casacore::PGPlotter::worker_p

private

Definition at line 290 of file PGPlotter.h.

The documentation for this class was generated from the following file:

- casa/System/PGPlotter.h